_StpuiCurve Struct Reference

`#include <curve.h>`

## Data Fields

GtkDrawingArea | graph
gint | cursor_type
gfloat | min_x
gfloat | max_x
gfloat | min_y
gfloat | max_y
GdkPixmap * | pixmap
StpuiCurveType | curve_type
gint | height
gint | grab_point
gint | last
gint | num_points
GdkPoint * | point
gint | num_ctlpoints
gfloat(* | ctlpoint )[2]

## Field Documentation

## ctlpoint

gfloat(* _StpuiCurve::ctlpoint)[2]

## cursor_type

gint _StpuiCurve::cursor_type

## curve_type

StpuiCurveType _StpuiCurve::curve_type

## grab_point

gint _StpuiCurve::grab_point

## graph

GtkDrawingArea _StpuiCurve::graph

## height

gint _StpuiCurve::height

## last

gint _StpuiCurve::last

## max_x

gfloat _StpuiCurve::max_x

## max_y

gfloat _StpuiCurve::max_y

## min_x

gfloat _StpuiCurve::min_x

## min_y

gfloat _StpuiCurve::min_y

## num_ctlpoints

gint _StpuiCurve::num_ctlpoints

## num_points

gint _StpuiCurve::num_points

## pixmap

GdkPixmap* _StpuiCurve::pixmap

## point

GdkPoint* _StpuiCurve::point

The documentation for this struct was generated from the following file:

- include/gutenprintui2/curve.h